"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidApiSecretError = void 0;
/**
 * Error class representing a specific error scenario where an API secret is
 * provided but is not a valid string.
 *
 * This error is thrown when an API request is made with an API secret that
 * does not meet the expected format or type (string).
 *
 * @extends {Error}
 */
class InvalidApiSecretError extends Error {
    constructor() {
        super('API Secret must be a string');
    }
}
exports.InvalidApiSecretError = InvalidApiSecretError;
//# sourceMappingURL=InvalidApiSecretError.js.map