"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MissingSignatureError = void 0;
/**
 * Error class representing a specific error scenario where a signature
 * algorithm is expected but missing in the request.
 *
 * This error is thrown when an API request is made without providing the
 * necessary signature algorithm for authentication.
 *
 * Users should select a value from the AlgorithmTypes enum.
 *
 * @extends {Error}
 */
class MissingSignatureError extends Error {
    constructor() {
        super('Missing signature algorithm');
    }
}
exports.MissingSignatureError = MissingSignatureError;
//# sourceMappingURL=MissingSignatureError.js.map