"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelType = void 0;
/**
 * Enum representing the type of communication channel.
 */
var ChannelType;
(function (ChannelType) {
    /**
     * Represents a phone channel.
     */
    ChannelType["PHONE"] = "phone";
    /**
     * Represents a SIP channel.
     */
    ChannelType["SIP"] = "sip";
    /**
     * Represents an app channel.
     */
    ChannelType["APP"] = "app";
    /**
     * Represents a WebSocket channel.
     */
    ChannelType["WEBSOCKET"] = "websocket";
    /**
     * Represents a VBC (Voice Business Cloud) channel.
     */
    ChannelType["VBC"] = "vbc";
})(ChannelType || (exports.ChannelType = ChannelType = {}));
//# sourceMappingURL=channelType.js.map