"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemberState = void 0;
/**
 * Enum representing the state of a member.
 */
var MemberState;
(function (MemberState) {
    /**
     * The member has been invited to join the conversation.
     */
    MemberState["INVITED"] = "INVITED";
    /**
     * The member has joined the conversation.
     */
    MemberState["JOINED"] = "JOINED";
    /**
     * The member has left the conversation.
     */
    MemberState["LEFT"] = "LEFT";
    /**
     * The state of the member is unknown or undefined.
     */
    MemberState["UNKNOWN"] = "UNKNOWN";
})(MemberState || (exports.MemberState = MemberState = {}));
//# sourceMappingURL=memberState.js.map