"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractTextMessage = void 0;
const AbstractMessage_1 = require("./AbstractMessage");
/**
 * An abstract base class for text message objects.
 */
class AbstractTextMessage extends AbstractMessage_1.AbstractMessage {
    /**
     * The type of message, which is 'text' for text messages.
     */
    messageType;
    /**
     * The text content of the message.
     */
    text;
    /**
     * Constructs a new `AbstractTextMessage` instance for text messages.
     *
     * @param {MessageParamsText} params - The parameters for creating a text message.
     */
    constructor(params) {
        super(params);
        this.text = params.text;
        this.messageType = 'text';
    }
}
exports.AbstractTextMessage = AbstractTextMessage;
//# sourceMappingURL=AbstractTextMessage.js.map