import { AbstractMessage } from './AbstractMessage';
import { MessageVcardType } from '../types';
import { MessageParamsVcard } from '../types';
/**
 * An abstract base class for vCard (contact card) message objects.
 */
export declare abstract class AbstractVcardMessage extends AbstractMessage implements MessageParamsVcard {
    /**
     * The type of message, which is 'vcard' for vCard messages.
     */
    messageType: 'vcard';
    /**
     * The vCard (contact card) content of the message.
     */
    vcard: MessageVcardType;
    /**
     * Constructs a new `AbstractVcardMessage` instance for vCard messages.
     *
     * @param {MessageParamsVcard} params - The parameters for creating a vCard message.
     */
    constructor(params: MessageParamsVcard);
}
//# sourceMappingURL=AbstractVcardMessage.d.ts.map