import { AbstractMessage } from './AbstractMessage';
import { MessageVideoType } from '../types';
import { MessageParamsVideo } from '../types';
/**
 * An abstract base class for video message objects.
 */
export declare abstract class AbstractVideoMessage extends AbstractMessage implements MessageParamsVideo {
    /**
     * The type of message, which is 'video' for video messages.
     */
    messageType: 'video';
    /**
     * The video content of the message.
     */
    video: MessageVideoType;
    /**
     * Constructs a new `AbstractVideoMessage` instance for video messages.
     *
     * @param {MessageParamsVideo} params - The parameters for creating a video message.
     */
    constructor(params: MessageParamsVideo);
}
//# sourceMappingURL=AbstractVideoMessage.d.ts.map