"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractVideoMessage = void 0;
const AbstractMessage_1 = require("./AbstractMessage");
/**
 * An abstract base class for video message objects.
 */
class AbstractVideoMessage extends AbstractMessage_1.AbstractMessage {
    /**
     * The type of message, which is 'video' for video messages.
     */
    messageType;
    /**
     * The video content of the message.
     */
    video;
    /**
     * Constructs a new `AbstractVideoMessage` instance for video messages.
     *
     * @param {MessageParamsVideo} params - The parameters for creating a video message.
     */
    constructor(params) {
        super(params);
        this.video = params.video;
        this.messageType = 'video';
    }
}
exports.AbstractVideoMessage = AbstractVideoMessage;
//# sourceMappingURL=AbstractVideoMessage.js.map