import { AudioObject } from '../../interfaces';
import { MMSAudio } from './MMSAudio';
/**
 * Represents an audio message for the MMS channel.
 *
 * @deprecated Please use the MMSAudio class instead.
 *
 * @group MMS
 */
export declare class Audio extends MMSAudio {
    /**
     * Constructs a new `Audio` instance for the MMS channel.
     *
     * @param {AudioObject} audio - The audio content of the message.
     * @param {string} to - The recipient of the message.
     * @param {string} from - The sender of the message.
     * @param {string} clientRef - The client reference for the message.
     */
    constructor(audio: AudioObject, to?: string, from?: string, clientRef?: string);
}
//# sourceMappingURL=Audio.d.ts.map