import { ImageObject } from '../../interfaces';
import { MMSImage } from './MMSImage';
/**
 * Represents an image message for the MMS channel.
 *
 * @deprecated Please use the MMSImage class instead.
 *
 * @group MMS
 */
export declare class Image extends MMSImage {
    /**
     * Constructs a new `Image` instance for the MMS channel.
     *
     * @param {ImageObject} image - The image content of the message.
     * @param {string} to - The recipient of the message.
     * @param {string} from - The sender of the message.
     * @param {string} clientRef - The client reference for the message.
     */
    constructor(image: ImageObject, to?: string, from?: string, clientRef?: string);
}
//# sourceMappingURL=Image.d.ts.map