import { MessageType } from '../../interfaces/Messenger/MessageType';
import { MessengerText } from './MessengerText';
/**
 * Represents a text message for the Messenger channel.
 *
 * @deprecated Please use the MessengerText Class instead.
 *
 * @group Messenger
 */
export declare class Text extends MessengerText {
    /**
     * Constructs a new `Text` instance.
     *
     * @param {string} text - The text content of the message.
     * @param {string} to - The recipient of the message.
     * @param {string} from - The sender of the message.
     * @param {MessageType} messenger - The messenger information for the message.
     * @param {string} clientRef - The client reference for the message.
     */
    constructor(text: string, to: string, from: string, messenger?: MessageType, clientRef?: string);
}
//# sourceMappingURL=Text.d.ts.map