import { ImageObject } from '../../interfaces';
import { ViberService } from '../../types';
import { ViberImage } from './ViberImage';
/**
 * Represents an image message for the Viber channel.
 *
 * @deprecated Please use the ViberImage class instead.
 *
 * @group Viber
 */
export declare class Image extends ViberImage {
    /**
     * Constructs a new `Image` instance for the Viber channel.
     *
     * @param {ImageObject} image - The image content of the message.
     * @param {string} to - The recipient's Viber ID.
     * @param {string} from - The sender's Viber ID.
     * @param {MessageConfig} viberService - The Viber service configuration.
     * @param {string} clientRef - The client reference for the message.
     */
    constructor(image: ImageObject, to: string, from: string, viberService?: ViberService, clientRef?: string);
}
//# sourceMappingURL=Image.d.ts.map