"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateMessageStatus = void 0;
var UpdateMessageStatus;
(function (UpdateMessageStatus) {
    /**
     * The status to set for the message. Setting the status of an inbound WhatsApp
     * message to read indicates to the sender of the message that the
     * message has been read (blue ticks are shown on that message in the WhatsApp
     * UI). The status of an outbound WhatsApp message cannot be updated via
     * this endpoint.
     */
    UpdateMessageStatus["READ"] = "read";
    /**
     * The status to set for the message. Setting the status of an outbound
     * RCS message to revoked revokes that message if possible.
     */
    UpdateMessageStatus["REVOKED"] = "revoked";
})(UpdateMessageStatus || (exports.UpdateMessageStatus = UpdateMessageStatus = {}));
//# sourceMappingURL=UpdateMessageStatus.js.map