"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Reachable = void 0;
/**
 * Enum representing the reachability status of a phone number.
 */
var Reachable;
(function (Reachable) {
    /**
     * The reachability status is unknown.
     */
    Reachable["UNKNOWN"] = "unknown";
    /**
     * The phone number is reachable.
     */
    Reachable["REACHABLE"] = "reachable";
    /**
     * The phone number is undeliverable.
     */
    Reachable["UNDELIVERABLE"] = "undeliverable";
    /**
     * The phone number's owner is absent.
     */
    Reachable["ABSENT"] = "absent";
    /**
     * The phone number is invalid or a bad number.
     */
    Reachable["BAD_NUMBER"] = "bad_number";
    /**
     * The phone number is blacklisted.
     */
    Reachable["BLACKLISTED"] = "blacklisted";
})(Reachable || (exports.Reachable = Reachable = {}));
//# sourceMappingURL=Reachable.js.map