"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentType = void 0;
/**
 * Enum representing possible MIME types for the 'content-type' HTTP header that
 * Vonage API's could accept.
 *
 * Note: Most of the APIs will only accept `application/json`.  Please refer
 * to the specific API documentation to determine if another content type is
 * accepted
 */
var ContentType;
(function (ContentType) {
    /** Represents the MIME type for JSON data. */
    ContentType["JSON"] = "application/json";
    /** Represents the MIME type for URL-encoded form data. */
    ContentType["FORM_URLENCODED"] = "application/x-www-form-urlencoded";
    /** Represents the MIME type for XML data. */
    ContentType["XML"] = "application/xml";
    /** Represents the MIME type for CSV data. */
    ContentType["CSV"] = "text/csv";
})(ContentType || (exports.ContentType = ContentType = {}));
//# sourceMappingURL=contentType.js.map