import { Client, AuthenticationType } from '@vonage/server-client';
import { TransactionParams } from './types';
/**
 * Represents a client for the Redact API that extends the Vonage Client.
 */
export declare class Redact extends Client {
    /**
       * The authentication type used for Redact API requests.
       */
    protected authType: AuthenticationType;
    /**
       * Redacts a specific message using the provided parameters.
       *
       * @param {TransactionParams} params - Parameters for redacting a message.
       * @return {Promise<void>} A Promise that resolves when the redaction is successful.
       *
       * @throws {Error} If there is an error in processing the redaction request.
       */
    redactMessage(params: TransactionParams): Promise<void>;
}
//# sourceMappingURL=redact.d.ts.map