"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResponseTypes = void 0;
/**
 * @deprecated
 * Enum representing the expected response types for API requests. This was
 * originaly used to set what the expected response type will be. It is better
 * to use the content-type header from the response to decode properly.
 */
var ResponseTypes;
(function (ResponseTypes) {
    /**
     * Represents a JSON-formatted response.
     */
    ResponseTypes["json"] = "json";
    /**
     * Represents a stream response, typically for handling large data or files.
     */
    ResponseTypes["stream"] = "stream";
    /**
     * Represents a plain text response.
     */
    ResponseTypes["text"] = "text";
})(ResponseTypes || (exports.ResponseTypes = ResponseTypes = {}));
//# sourceMappingURL=responseTypes.js.map