"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.COLLECTION_FORMATS = void 0;
/**
 * Collection Formats for API Parameter Serialization.
 *
 * Defines various collection formats used for serializing API parameters.
 */
exports.COLLECTION_FORMATS = {
    /**
     * Comma-separated values collection format.
     */
    csv: ',',
    /**
     * Space-separated values collection format.
     */
    ssv: ' ',
    /**
     * Tab-separated values collection format.
     */
    tsv: '\t',
    /**
     * Pipe-separated values collection format.
     */
    pipes: '|',
};
//# sourceMappingURL=CollectionFormats.js.map