"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageClassEnum = void 0;
/**
 * Enumeration representing the possible message classes.
 *
 * Defines different message classes that can be associated with SMS messages.
 */
var MessageClassEnum;
(function (MessageClassEnum) {
    /**
     * Class 0: Flash SMS.
     */
    MessageClassEnum[MessageClassEnum["NUMBER_0"] = 0] = "NUMBER_0";
    /**
     * Class 1: Immediate display (user should be able to read the message instantly).
     */
    MessageClassEnum[MessageClassEnum["NUMBER_1"] = 1] = "NUMBER_1";
    /**
     * Class 2: Mobile equipment-to-mobile equipment (ME-to-ME) communication.
     */
    MessageClassEnum[MessageClassEnum["NUMBER_2"] = 2] = "NUMBER_2";
    /**
     * Class 3: SIM card-based storage.
     */
    MessageClassEnum[MessageClassEnum["NUMBER_3"] = 3] = "NUMBER_3";
})(MessageClassEnum || (exports.MessageClassEnum = MessageClassEnum = {}));
//# sourceMappingURL=MessageClassEnum.js.map