"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LayoutType = void 0;
/**
 * Enum representing different layout types for live streaming broadcasts.
 */
var LayoutType;
(function (LayoutType) {
    /**
     * Automatically determine the best fit layout.
     */
    LayoutType["BEST_FIT"] = "bestFit";
    /**
     * Use a custom layout for the broadcast.
     */
    LayoutType["CUSTOM"] = "custom";
    /**
     * Horizontal presentation layout.
     */
    LayoutType["HORIZONTAL_PRESENTATION"] = "horizontalPresentation";
    /**
     * Picture-in-picture (PIP) layout.
     */
    LayoutType["PIP"] = "pip";
    /**
     * Vertical presentation layout.
     */
    LayoutType["VERTICAL_PRESENTATION"] = "verticalPresentation";
})(LayoutType || (exports.LayoutType = LayoutType = {}));
//# sourceMappingURL=LayoutType.js.map