/**
 * Enum representing different video resolutions for live streaming broadcasts.
 */
export declare enum Resolution {
    /**
     * Full HD landscape resolution (1920x1080 pixels).
     */
    FHD_LANDSCAPE = "1920x1080",
    /**
     * Full HD portrait resolution (1080x1920 pixels).
     */
    FHD_PORTRAIT = "1080x1920",
    /**
     * HD landscape resolution (1280x720 pixels).
     */
    HD_LANDSCAPE = "1280x720",
    /**
     * HD portrait resolution (720x1280 pixels).
     */
    HD_PORTRAIT = "720x1280",
    /**
     * Standard definition landscape resolution (640x480 pixels).
     */
    SD_LANDSCAPE = "640x480",
    /**
     * Standard definition portrait resolution (480x640 pixels).
     */
    SD_PORTRAIT = "480x640"
}
//# sourceMappingURL=Resolution.d.ts.map