"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SIPEndpoint = void 0;
const debug_1 = __importDefault(require("debug"));
(0, debug_1.default)('@vonage/voice')('This class is deprecated. Please update to use the SIPEndpointType type instead');
/**
 * Represents a SIP (Session Initiation Protocol) endpoint for making voice calls.
 * @deprecated This class is deprecated. Please update to use the SIPEndpointType type instead.
 */
class SIPEndpoint {
    /**
     * The type of the endpoint, which is always 'sip'.
     */
    type;
    /**
     * The SIP URI associated with this endpoint.
     *
     * @param {string} uri - The SIP URI for the SIP endpoint.
     */
    uri;
    /**
     * Optional custom headers to include in SIP requests.
     *
     * @param {Array<Record<string, unknown>>} headers - Optional custom headers as an array of key-value pairs.
     */
    headers;
    /**
     * Create a new SIPEndpoint instance.
     *
     * @param {string} uri - The SIP URI for the SIP endpoint.
     * @param {Array<Record<string, unknown>>} headers - Optional custom headers as an array of key-value pairs.
     */
    constructor(uri, headers) {
        this.type = 'sip';
        this.uri = uri;
        if (headers) {
            this.headers = headers[0];
        }
    }
}
exports.SIPEndpoint = SIPEndpoint;
//# sourceMappingURL=SIPEndpoint.js.map