"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdvancedMachineDetectionMode = void 0;
/**
 * Enum representing different modes for advanced machine detection in the Connect NCCO action.
 */
var AdvancedMachineDetectionMode;
(function (AdvancedMachineDetectionMode) {
    /**
     * Default mode, used for advanced async machine detection, including beep detection.
     */
    AdvancedMachineDetectionMode["DEFAULT"] = "default";
    /**
     * Detect mode, used for advanced sync machine detection without beep detection.
     */
    AdvancedMachineDetectionMode["DETECT"] = "detect";
    /**
     * Detect beep mode, used for advanced sync machine detection with beep detection.
     */
    AdvancedMachineDetectionMode["DETECTBEEP"] = "detect_beep";
})(AdvancedMachineDetectionMode || (exports.AdvancedMachineDetectionMode = AdvancedMachineDetectionMode = {}));
//# sourceMappingURL=AdvancedMachineDetectionMode.js.map